<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.084" tests="12" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="selectWhere_collectionCriteria" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.018">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@716f3b54 Equals], hasCollectionCriteria=true, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Toto.id as id, DISCRIMINATOR as DISCRIMINATOR from (select TotoA.id as id, TotoA.x as x, TotoA.q as q, 'TotoA' as DISCRIMINATOR from TotoA union all select TotoB.id as id, TotoB.x as x, TotoB.q as q, 'TotoB' as DISCRIMINATOR from TotoB) as Toto left outer join TotoA as TotoA on Toto.id = TotoA.id left outer join TotoB as TotoB on Toto.id = TotoB.id where Toto.q = ? | {1=[42]}
2026-05-19 05:31:22	TRACE	SQLOperation	select Toto.id as Toto_id, Toto.x as Toto_x, Toto.q as Toto_q, Toto.DISCRIMINATOR as Toto_DISCRIMINATOR, TotoA.a as TotoA_a, TotoA.x as TotoA_x, TotoA.q as TotoA_q, TotoA.id as TotoA_id, TotoB.b as TotoB_b, TotoB.x as TotoB_x, TotoB.q as TotoB_q, TotoB.id as TotoB_id from (select TotoA.id as id, TotoA.x as x, TotoA.q as q, 'TotoA' as DISCRIMINATOR from TotoA union all select TotoB.id as id, TotoB.x as x, TotoB.q as q, 'TotoB' as DISCRIMINATOR from TotoB) as Toto left outer join TotoA as TotoA on Toto.id = TotoA.id left outer join TotoB as TotoB on Toto.id = TotoB.id where Toto.id in (?, ?, ?, ?) | {1=o.c.s.i.PersistedIdentifier@1, 2=o.c.s.i.PersistedIdentifier@2, 3=o.c.s.i.PersistedIdentifier@3, 4=o.c.s.i.PersistedIdentifier@4}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@4
]]></system-out>
  </testcase>
  <testcase name="delete" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.003">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from TotoA where id = ? | {1={TotoA.id=o.c.s.i.PersistableIdentifier@7}}
]]></system-out>
  </testcase>
  <testcase name="insert" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.005">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into TotoA(a, x, q, id) values (?, ?, ?, ?) | {1={TotoA.a=23, TotoA.q=null, TotoA.id=o.c.s.i.PersistableIdentifier@1, TotoA.x=17}, 2={TotoA.a=31, TotoA.q=null, TotoA.id=o.c.s.i.PersistableIdentifier@2, TotoA.x=29}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into TotoB(b, x, q, id) values (?, ?, ?, ?) | {1={TotoB.b=41, TotoB.x=37, TotoB.q=null, TotoB.id=o.c.s.i.PersistableIdentifier@3}, 2={TotoB.b=53, TotoB.x=43, TotoB.q=null, TotoB.id=o.c.s.i.PersistableIdentifier@4}}
]]></system-out>
  </testcase>
  <testcase name="select" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.011">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1, o.c.s.i.PersistedIdentifier@2, o.c.s.i.PersistedIdentifier@3, o.c.s.i.PersistedIdentifier@4]
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@2a0d538b In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Toto.id as Toto_id, Toto.x as Toto_x, Toto.q as Toto_q, Toto.DISCRIMINATOR as Toto_DISCRIMINATOR, TotoA.a as TotoA_a, TotoA.x as TotoA_x, TotoA.q as TotoA_q, TotoA.id as TotoA_id, TotoB.b as TotoB_b, TotoB.x as TotoB_x, TotoB.q as TotoB_q, TotoB.id as TotoB_id from (select TotoA.id as id, TotoA.x as x, TotoA.q as q, 'TotoA' as DISCRIMINATOR from TotoA union all select TotoB.id as id, TotoB.x as x, TotoB.q as q, 'TotoB' as DISCRIMINATOR from TotoB) as Toto left outer join TotoA as TotoA on Toto.id = TotoA.id left outer join TotoB as TotoB on Toto.id = TotoB.id where Toto.id in (?, ?, ?, ?) | {1=o.c.s.i.PersistedIdentifier@1, 2=o.c.s.i.PersistedIdentifier@2, 3=o.c.s.i.PersistedIdentifier@3, 4=o.c.s.i.PersistedIdentifier@4}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@4
]]></system-out>
  </testcase>
  <testcase name="update" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.006">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismPersister	selecting entities [o.c.s.i.PersistableIdentifier@1, o.c.s.i.PersistableIdentifier@2, o.c.s.i.PersistableIdentifier@3, o.c.s.i.PersistableIdentifier@4]
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@21b7164e In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Toto.id as Toto_id, Toto.x as Toto_x, Toto.q as Toto_q, Toto.DISCRIMINATOR as Toto_DISCRIMINATOR, TotoA.a as TotoA_a, TotoA.x as TotoA_x, TotoA.q as TotoA_q, TotoA.id as TotoA_id, TotoB.b as TotoB_b, TotoB.x as TotoB_x, TotoB.q as TotoB_q, TotoB.id as TotoB_id from (select TotoA.id as id, TotoA.x as x, TotoA.q as q, 'TotoA' as DISCRIMINATOR from TotoA union all select TotoB.id as id, TotoB.x as x, TotoB.q as q, 'TotoB' as DISCRIMINATOR from TotoB) as Toto left outer join TotoA as TotoA on Toto.id = TotoA.id left outer join TotoB as TotoB on Toto.id = TotoB.id where Toto.id in (?, ?, ?, ?) | {1=o.c.s.i.PersistableIdentifier@1, 2=o.c.s.i.PersistableIdentifier@2, 3=o.c.s.i.PersistableIdentifier@3, 4=o.c.s.i.PersistableIdentifier@4}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@4
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	update TotoA set a = ?, x = ?, q = ? where id = ? | {1={TotoA.a (U)=123, TotoA.q (U)=null, TotoA.x (U)=17, TotoA.id (W)=o.c.s.i.PersistedIdentifier@1}, 2={TotoA.a (U)=131, TotoA.q (U)=null, TotoA.x (U)=29, TotoA.id (W)=o.c.s.i.PersistedIdentifier@2}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	update TotoB set b = ?, x = ?, q = ? where id = ? | {1={TotoB.b (U)=141, TotoB.id (W)=o.c.s.i.PersistedIdentifier@3, TotoB.x (U)=37, TotoB.q (U)=null}, 2={TotoB.b (U)=153, TotoB.id (W)=o.c.s.i.PersistedIdentifier@4, TotoB.x (U)=43, TotoB.q (U)=null}}
]]></system-out>
  </testcase>
  <testcase name="delete_multiple" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.003">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from TotoA where id = ? | {1={TotoA.id=o.c.s.i.PersistableIdentifier@1}, 2={TotoA.id=o.c.s.i.PersistableIdentifier@2}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from TotoB where id = ? | {1={TotoB.id=o.c.s.i.PersistableIdentifier@3}, 2={TotoB.id=o.c.s.i.PersistableIdentifier@4}}
]]></system-out>
  </testcase>
  <testcase name="deleteById_multiple" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.003">
    <system-out><![CDATA[2026-05-19 05:31:22	TRACE	SQLOperation	delete from TotoA where id in (?, ?) | {TotoA.id=[o.c.s.i.PersistableIdentifier@1, o.c.s.i.PersistableIdentifier@2]}
2026-05-19 05:31:22	TRACE	SQLOperation	delete from TotoB where id in (?, ?) | {TotoB.id=[o.c.s.i.PersistableIdentifier@3, o.c.s.i.PersistableIdentifier@4]}
]]></system-out>
  </testcase>
  <testcase name="updateById" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.004">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	update TotoA set a = ?, x = ?, q = ? where id = ? | {1={TotoA.q (U)=null, TotoA.x (U)=17, TotoA.a (U)=123, TotoA.id (W)=o.c.s.i.PersistableIdentifier@1}, 2={TotoA.q (U)=null, TotoA.x (U)=29, TotoA.a (U)=131, TotoA.id (W)=o.c.s.i.PersistableIdentifier@2}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	update TotoB set b = ?, x = ?, q = ? where id = ? | {1={TotoB.id (W)=o.c.s.i.PersistableIdentifier@3, TotoB.b (U)=141, TotoB.x (U)=37, TotoB.q (U)=null}, 2={TotoB.id (W)=o.c.s.i.PersistableIdentifier@4, TotoB.b (U)=153, TotoB.x (U)=43, TotoB.q (U)=null}}
]]></system-out>
  </testcase>
  <testcase name="selectWhere_orderByOnNonCollectionProperty_orderByIsAddedToSQL" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.01">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@bd71e79 Equals], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Toto.id as Toto_id, Toto.x as Toto_x, Toto.q as Toto_q, Toto.DISCRIMINATOR as Toto_DISCRIMINATOR, TotoA.a as TotoA_a, TotoA.x as TotoA_x, TotoA.q as TotoA_q, TotoA.id as TotoA_id, TotoB.b as TotoB_b, TotoB.x as TotoB_x, TotoB.q as TotoB_q, TotoB.id as TotoB_id from (select TotoA.id as id, TotoA.x as x, TotoA.q as q, 'TotoA' as DISCRIMINATOR from TotoA union all select TotoB.id as id, TotoB.x as x, TotoB.q as q, 'TotoB' as DISCRIMINATOR from TotoB) as Toto left outer join TotoA as TotoA on Toto.id = TotoA.id left outer join TotoB as TotoB on Toto.id = TotoB.id where Toto.x = ? order by Toto.x asc | {1=42}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@4
]]></system-out>
  </testcase>
  <testcase name="selectWhere" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.007">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@6dd1f9b5 Equals], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Toto.id as Toto_id, Toto.x as Toto_x, Toto.q as Toto_q, Toto.DISCRIMINATOR as Toto_DISCRIMINATOR, TotoA.a as TotoA_a, TotoA.x as TotoA_x, TotoA.q as TotoA_q, TotoA.id as TotoA_id, TotoB.b as TotoB_b, TotoB.x as TotoB_x, TotoB.q as TotoB_q, TotoB.id as TotoB_id from (select TotoA.id as id, TotoA.x as x, TotoA.q as q, 'TotoA' as DISCRIMINATOR from TotoA union all select TotoB.id as id, TotoB.x as x, TotoB.q as q, 'TotoB' as DISCRIMINATOR from TotoB) as Toto left outer join TotoA as TotoA on Toto.id = TotoA.id left outer join TotoB as TotoB on Toto.id = TotoB.id where Toto.x = ? | {1=42}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoA#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.r.t.TablePerClassPolymorphismPersisterTest$TotoB#o.c.s.i.PersistedIdentifier@4
]]></system-out>
  </testcase>
  <testcase name="selectWhere_orderByOnCollectionProperty_throwsException" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.004"/>
  <testcase name="deleteById" classname="org.codefilarete.stalactite.engine.runtime.tableperclass.TablePerClassPolymorphismPersisterTest$CRUD" time="0.003">
    <system-out><![CDATA[2026-05-19 05:31:22	TRACE	SQLOperation	delete from TotoA where id in (?) | {TotoA.id=o.c.s.i.PersistableIdentifier@7}
]]></system-out>
  </testcase>
</testsuite>